<h1 id="jekyll-commonmark-ghpages">jekyll-commonmark-ghpages</h1>
<p><em>GitHub Flavored Markdown converter for Jekyll, based on <a href="https://github.com/jekyll/jekyll-commonmark"><code>jekyll-commonmark</code></a></em></p>
<p><a href="https://rubygems.org/gems/jekyll-commonmark-ghpages"><img src="https://img.shields.io/gem/v/jekyll-commonmark-ghpages.svg" alt="Gem Version" /></a> <a href="https://travis-ci.org/github/jekyll-commonmark-ghpages"><img src="https://img.shields.io/travis/github/jekyll-commonmark-ghpages/master.svg" alt="Build Status" /></a> <a href="https://ci.appveyor.com/project/github/jekyll-commonmark-ghpages"><img src="https://img.shields.io/appveyor/ci/github/jekyll-commonmark-ghpages/master.svg?label=Windows%20build" alt="Windows Build status" /></a></p>
<p>Jekyll Markdown converter that uses <a href="https://github.com/github/cmark">libcmark-gfm</a>, GitHub’s fork of <a href="https://github.com/commonmark/cmark">cmark</a>, the reference parser for CommonMark, with some additions to ensure compatibility with existing Kramdown-based sites.</p>
<h2 id="installation">Installation</h2>
<p>Add the following to your <code>Gemfile</code>:</p>
<div class="sourceCode" id="cb1"><pre class="sourceCode ruby"><code class="sourceCode ruby"><a class="sourceLine" id="cb1-1" title="1">group <span class="st">:jekyll_plugins</span> <span class="kw">do</span></a>
<a class="sourceLine" id="cb1-2" title="2">  gem <span class="st">&#39;jekyll-commonmark-ghpages&#39;</span></a>
<a class="sourceLine" id="cb1-3" title="3"><span class="kw">end</span></a></code></pre></div>
<p>and modify your <code>_config.yml</code> to use <strong>CommonMarkGhPages</strong> as your Markdown converter:</p>
<div class="sourceCode" id="cb2"><pre class="sourceCode yaml"><code class="sourceCode yaml"><a class="sourceLine" id="cb2-1" title="1"><span class="fu">markdown:</span><span class="at"> CommonMarkGhPages</span></a></code></pre></div>
<p>This processor is currently in testing for use in GitHub Pages.</p>
<p>To specify extensions and options for use in converting Markdown to HTML, supply options to the Markdown converter:</p>
<div class="sourceCode" id="cb3"><pre class="sourceCode yaml"><code class="sourceCode yaml"><a class="sourceLine" id="cb3-1" title="1"><span class="fu">commonmark:</span></a>
<a class="sourceLine" id="cb3-2" title="2">  <span class="fu">options:</span><span class="at"> </span><span class="kw">[</span><span class="st">&quot;SMART&quot;</span><span class="kw">,</span> <span class="st">&quot;FOOTNOTES&quot;</span><span class="kw">]</span></a>
<a class="sourceLine" id="cb3-3" title="3">  <span class="fu">extensions:</span><span class="at"> </span><span class="kw">[</span><span class="st">&quot;strikethrough&quot;</span><span class="kw">,</span> <span class="st">&quot;autolink&quot;</span><span class="kw">,</span> <span class="st">&quot;tables&quot;</span><span class="kw">]</span></a></code></pre></div>
